#!/bin/bash

# Название docker image указать здесь
IMAGE=einfahrt-chrony:latest
PORT=8123

# Указать ntp сервера через зяпятую
# Расскоментировать нужную строчку
# PROD-SERVERS
# NTP_SERVERS=109.207.15.28,109.207.15.60,109.207.15.156,109.207.15.188

# TEST-SERVERS
# NTP_SERVERS=podd.test.gosuslugi.ru

###### DO NOT EDIT BELOW THIS LINE ###### НЕ РЕДАКТИРОВАТЬ НИЖЕ ######
stop()
{
    echo $1
    exit 1
}

IMG=$(echo ${IMAGE} |cut -d: -f1)
TAG=$(echo ${IMAGE} |cut -d: -f2)

# expose ports
PORTS="-p $PORT:123"

# check if NTP_ADDRESSES var is not null
if [ -z $NTP_SERVERS ] 
then
    stop "Fill NTP_SERVERS variable" 
else
    NTP_SERVERS="-e NTP_SERVERS=$NTP_SERVERS"
fi

echo "Checking for already started container, stop it if running"
[ ! -z $(docker ps |awk '{print $NF}'|grep "^${IMG}$") ] && docker stop ${IMG} >/dev/null
[ ! -z $(docker ps -a |awk '{print $NF}'|grep "^${IMG}$") ] && docker rm ${IMG} >/dev/null

echo "Starting docker container"
docker run  \
    -d \
    ${PORTS} \
    ${NTP_SERVERS} \
    --name ${IMG} \
    --mount type=bind,source=/etc/localtime,target=/etc/localtime,readonly \
    --env LANG=en_US.UTF-8 \
    --env LC_ALL=en_US.UTF-8 \
    ${IMG}:${TAG}

[ $? -eq 0 ] && echo "Application started. Container name: ${IMG}. Available ports: 8183 (npt)" || echo "Error starting docker."

